#ifndef FLASH_PLUGIN_H
#define FLASH_PLUGIN_H
#include "utils.h"
#include "plugin.h"

class Flash_plugin : public Plugin
{
public:
    Flash_plugin();
    QString getName();
    QString getGenericName();
    QString getCommand();
    QIcon getIcon();

    void readConfig();
    Plugin *writeConfig();

    void getPluginConfig(QVBoxLayout *info);

private:
    QIcon icon;
    QString name;
    QString genericName;
    QString command;

    QLabel *lblPath;
    QLineEdit *txtPath;
    QPushButton *btnFile;

private slots:
    void on_file_selected();

};

#endif // FLASH_PLUGIN_H
