#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QFile>
#include <QList>
#include "plugin.h"
#include "utils.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    Ui::MainWindow *ui;
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_comboB_select_currentIndexChanged(int index);

    void on_pushB_validate_clicked();

    void on_pushB_test_clicked();
private:
    void buildModuleList();
    QList<Plugin*> plugins;
    void clearLayout(QLayout* layout, bool deleteWidgets = true);
    void writeConfig();
};

#endif // MAINWINDOW_H
